# Plant Monitoring and Dashboard

A SparkFun ```Thing Plus ESP32 WROOM``` based plant monitor and dashboard. This hardware build leverages the ```esphome``` platform to monitor up to 8 plants with a Waveshare 2.9" e-ink display to show status information.

Long-term the dashboard will also support monitoring remote plants that are not directly tied into the main board via MQTT subscriptions (see ```plant_monitor``` folder for additional ideas).

The sensors and data are tied back to a home-assistant.io deployment using MQTT for tracking information inside Home Assistant. The local dashboard is meant to help remind the user (me) that plants need watering when close to the plants themselves.

Please note: *this is an indoor build*. Despite using parts that are safe for use outdoors it's assumed this build will live indoors. The e-ink display is *not* rated for outdoor use. Other components may not be viable for outdoor use as well.

## Current Status

Please be aware the information contained in this repo isn't always 100% presently. This is very much a work in progress build and integration. I will do my best to keep the information here current but that may not always be the case.

## Hardware / Bill Of Materials

| Quantity | Hardware                                | Product Page                                                                              |
| -------- | --------------------------------------- | ----------------------------------------------------------------------------------------- |
| 1        | Adafruit HUZZAH32                       | https://www.adafruit.com/product/4172                                                     |
| 1        | SparkFun CH340G Serial Adapter          | https://www.sparkfun.com/products/14050                                                   |
| 1        | SparkFun Qwiic Mux Breakout - 8 Channel | https://www.sparkfun.com/products/14685                                                   |
| 1        | Adafruit STEMMA Soil Sensor             | https://www.adafruit.com/product/3931                                                     |
| 2        | SparkFun Qwiic Adapter                  | https://www.sparkfun.com/products/14495                                                   |
| 1        | Qwiic Cable - 50mm                      | https://www.sparkfun.com/products/14426                                                   |
| 1        | Qwiic Cable - 500mm                     | https://www.sparkfun.com/products/14429                                                   |
| 1        | Waveshare 2.9" e-ink display            | https://www.waveshare.com/product/modules/oleds-lcds/e-paper/2.9inch-e-paper-module.htm   |
| 1        | 18650 Battery Holder                    | https://www.sparkfun.com/products/12899                                                   |
| 1        | Adafruit Large Solar Panel              | https://www.adafruit.com/product/500                                                      |
| 1        | Adafruit Solar Charger                  | https://www.adafruit.com/product/390                                                      |
| 1        | SparkFun LiPo Fuel Gauge                | https://www.sparkfun.com/products/10617                                                   |
| 2        | SparkFun MOSTFET Power Controller       | https://www.sparkfun.com/products/11214                                                   |
| 1        | SparkFun Momentary Button (Red)         | https://www.sparkfun.com/products/11992                                                   |
| 1        | SparkFun Momentary Button (Blue)        | https://www.sparkfun.com/products/11994                                                   |
| 1        | 10k Resistor                            | N/A                                                                                       |
